Upstream information

CVE-2013-1881 at MITRE

Description

GNOME libsvg before 2.39.0 allows remote attackers to read arbitrary files via an XML document containing an external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 840753 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
sledsp3-librsvg-12145
SUSE Linux Enterprise Desktop 11 SP4
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
sledsp4-librsvg-12145
SUSE Linux Enterprise Desktop 12
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Desktop 12 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Desktop 12 SP1
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Desktop 12 SP2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Desktop 12 SP3
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Module for Basesystem 15
  • gdk-pixbuf-loader-rsvg >= 2.42.3-1.49
  • librsvg-2-2 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Module for Desktop Applications 15
  • librsvg-devel >= 2.42.3-1.49
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-1.49
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA librsvg-devel
SUSE Linux Enterprise Server 11 SP3
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • librsvg-x86 >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
slessp3-librsvg-12145
SUSE Linux Enterprise Server 11 SP4
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • librsvg-x86 >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
slessp4-librsvg-12145
SUSE Linux Enterprise Server 12
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Server 12 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Server 12 SP1
  • gdk-pixbuf-loader-rsvg >= 2.40.2-1.13
  • librsvg-2-2 >= 2.40.2-1.13
  • librsvg-2-2-32bit >= 2.40.2-1.13
  • rsvg-view >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Server 12 SP2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Server 12 SP3
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • librsvg-2-2-32bit >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-4.5
  • librsvg-2-2 >= 2.40.15-4.5
  • rsvg-view >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA gdk-pixbuf-loader-rsvg
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • librsvg-x86 >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
slessp3-librsvg-12145
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • librsvg-x86 >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
slessp4-librsvg-12145
SUSE Linux Enterprise Server for VMWare 11 SP3
  • librsvg >= 2.26.0-2.5.1
  • librsvg-32bit >= 2.26.0-2.5.1
  • librsvg-x86 >= 2.26.0-2.5.1
  • rsvg-view >= 2.26.0-2.5.1
Patchnames:
slessp3-librsvg-12145
SUSE Linux Enterprise Software Development Kit 11 SP3
  • librsvg >= 2.26.0-2.5.1
  • librsvg-devel >= 2.26.0-2.5.1
Patchnames:
sdksp3-librsvg-12145
SUSE Linux Enterprise Software Development Kit 11 SP4
  • librsvg >= 2.26.0-2.5.1
  • librsvg-devel >= 2.26.0-2.5.1
Patchnames:
sdksp4-librsvg-12145
SUSE Linux Enterprise Software Development Kit 12
  • librsvg-devel >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA librsvg-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • librsvg-devel >= 2.40.2-1.13
  • typelib-1_0-Rsvg-2_0 >= 2.40.2-1.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA librsvg-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • librsvg-devel >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA librsvg-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • librsvg-devel >= 2.40.15-4.5
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA librsvg-devel
openSUSE 12.3
  • gdk-pixbuf-loader-rsvg >= 2.36.4-2.8.1
  • gdk-pixbuf-loader-rsvg-32bit >= 2.36.4-2.8.1
  • gdk-pixbuf-loader-rsvg-debuginfo >= 2.36.4-2.8.1
  • gdk-pixbuf-loader-rsvg-debuginfo-32bit >= 2.36.4-2.8.1
  • gtk2-engine-svg >= 2.36.4-2.8.1
  • gtk2-engine-svg-32bit >= 2.36.4-2.8.1
  • gtk2-engine-svg-debuginfo >= 2.36.4-2.8.1
  • gtk2-engine-svg-debuginfo-32bit >= 2.36.4-2.8.1
  • gtk3 >= 3.6.4-2.4.1
  • gtk3-branding-upstream >= 3.6.4-2.4.1
  • gtk3-data >= 3.6.4-2.4.1
  • gtk3-debugsource >= 3.6.4-2.4.1
  • gtk3-devel >= 3.6.4-2.4.1
  • gtk3-devel-32bit >= 3.6.4-2.4.1
  • gtk3-devel-debuginfo >= 3.6.4-2.4.1
  • gtk3-devel-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-amharic >= 3.6.4-2.4.1
  • gtk3-immodule-amharic-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-amharic-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodule-amharic-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-inuktitut >= 3.6.4-2.4.1
  • gtk3-immodule-inuktitut-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-inuktitut-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodule-inuktitut-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-multipress >= 3.6.4-2.4.1
  • gtk3-immodule-multipress-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-multipress-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodule-multipress-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-thai >= 3.6.4-2.4.1
  • gtk3-immodule-thai-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-thai-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodule-thai-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-vietnamese >= 3.6.4-2.4.1
  • gtk3-immodule-vietnamese-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-vietnamese-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodule-vietnamese-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-xim >= 3.6.4-2.4.1
  • gtk3-immodule-xim-32bit >= 3.6.4-2.4.1
  • gtk3-immodule-xim-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodule-xim-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-immodules-tigrigna >= 3.6.4-2.4.1
  • gtk3-immodules-tigrigna-32bit >= 3.6.4-2.4.1
  • gtk3-immodules-tigrigna-debuginfo >= 3.6.4-2.4.1
  • gtk3-immodules-tigrigna-debuginfo-32bit >= 3.6.4-2.4.1
  • gtk3-lang >= 3.6.4-2.4.1
  • gtk3-tools >= 3.6.4-2.4.1
  • gtk3-tools-32bit >= 3.6.4-2.4.1
  • gtk3-tools-debuginfo >= 3.6.4-2.4.1
  • gtk3-tools-debuginfo-32bit >= 3.6.4-2.4.1
  • libgtk-3-0 >= 3.6.4-2.4.1
  • libgtk-3-0-32bit >= 3.6.4-2.4.1
  • libgtk-3-0-debuginfo >= 3.6.4-2.4.1
  • libgtk-3-0-debuginfo-32bit >= 3.6.4-2.4.1
  • librsvg >= 2.36.4-2.8.1
  • librsvg-2-2 >= 2.36.4-2.8.1
  • librsvg-2-2-32bit >= 2.36.4-2.8.1
  • librsvg-2-2-debuginfo >= 2.36.4-2.8.1
  • librsvg-2-2-debuginfo-32bit >= 2.36.4-2.8.1
  • librsvg-debugsource >= 2.36.4-2.8.1
  • librsvg-devel >= 2.36.4-2.8.1
  • rsvg-view >= 2.36.4-2.8.1
  • rsvg-view-debuginfo >= 2.36.4-2.8.1
  • typelib-1_0-Gtk-3_0 >= 3.6.4-2.4.1
  • typelib-1_0-Rsvg-2_0 >= 2.36.4-2.8.1
Patchnames:
openSUSE-2013-912
openSUSE Leap 15.0
  • gdk-pixbuf-loader-rsvg >= 2.42.3-lp150.1.20
  • librsvg-2-2 >= 2.42.3-lp150.1.20
  • rsvg-thumbnailer >= 2.42.3-lp150.1.20
  • typelib-1_0-Rsvg-2_0 >= 2.42.3-lp150.1.20
Patchnames:
openSUSE Leap 15.0 GA gdk-pixbuf-loader-rsvg
openSUSE Leap 42.1
  • gdk-pixbuf-loader-rsvg >= 2.40.10-4.2
  • librsvg-2-2 >= 2.40.10-4.2
  • librsvg-devel >= 2.40.10-4.2
  • typelib-1_0-Rsvg-2_0 >= 2.40.10-4.2
Patchnames:
openSUSE Leap 42.1 GA gdk-pixbuf-loader-rsvg
openSUSE Leap 42.2
  • gdk-pixbuf-loader-rsvg >= 2.40.15-8.1
  • librsvg-2-2 >= 2.40.15-8.1
  • librsvg-devel >= 2.40.15-8.1
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-8.1
Patchnames:
openSUSE Leap 42.2 GA gdk-pixbuf-loader-rsvg
openSUSE Leap 42.3
  • gdk-pixbuf-loader-rsvg >= 2.40.15-10.3
  • librsvg-2-2 >= 2.40.15-10.3
  • librsvg-devel >= 2.40.15-10.3
  • typelib-1_0-Rsvg-2_0 >= 2.40.15-10.3
Patchnames:
openSUSE Leap 42.3 GA gdk-pixbuf-loader-rsvg
openSUSE Tumbleweed
  • gdk-pixbuf-loader-rsvg >= 2.40.16-1.4
  • gdk-pixbuf-loader-rsvg-32bit >= 2.40.16-1.4
  • librsvg-2-2 >= 2.40.16-1.4
  • librsvg-2-2-32bit >= 2.40.16-1.4
  • librsvg-devel >= 2.40.16-1.4
  • rsvg-view >= 2.40.16-1.4
  • typelib-1_0-Rsvg-2_0 >= 2.40.16-1.4
Patchnames:
openSUSE Tumbleweed GA gdk-pixbuf-loader-rsvg


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 librsvg Released
SUSE Linux Enterprise Desktop 11 SP2 librsvg Released
SUSE Linux Enterprise Desktop 11 SP3 librsvg Released
SUSE Linux Enterprise Desktop 11 SP4 librsvg Released
SUSE Linux Enterprise SDK 11 SP2 librsvg Released
SUSE Linux Enterprise SDK 11 SP3 librsvg Released
SUSE Linux Enterprise SDK 11 SP4 librsvg Released
SUSE Linux Enterprise Server 11 SP1 LTSS librsvg Released
SUSE Linux Enterprise Server 11 SP2 librsvg Released
SUSE Linux Enterprise Server 11 SP2 LTSS librsvg Released
SUSE Linux Enterprise Server 11 SP3 librsvg Released
SUSE Linux Enterprise Server 11 SP4 librsvg Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 librsvg Released
SUSE Linux Enterprise Server for VMWare 11 SP2 librsvg Released
SUSE Linux Enterprise Server for VMWare 11 SP3 librsvg Released